% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/knn.R
\name{knnopt}
\alias{knnopt}
\title{Best k for the kNN regression}
\usage{
knnopt(x, y, k_max = NULL)
}
\arguments{
\item{x:}{a matrix or dataframe.}

\item{y:}{a vector.}

\item{k_max:}{a positive constant less than the number of the sample size. Warning: a user
defined value for k_max may end up in a non-optimal result.}
}
\value{
an object of class knnopt.
}
\description{
\code{knnopt} returns an object of class knnopt with three attributes
1) kopt: the optimal k chosen by LOOCV
2) predict: a vector of the same length as y of the predicted y's using knn with x's
3) MSE: the estimate mean squared error
}
\examples{
n <- 100
x <- rnorm(n)
y <- x + x^2 + rnorm(n)
a <- knnopt(x, y)
a$kopt
a$MSE
a$predict
# the theoretical result is for when k_max = n - 1
b <- knnopt(x, y, k_max = 20)
b$kopt
b$MSE
b$predict
}
\references{
\href{https://www.bbc.com}{Azadkia, M. Optimal choice of k for k-nearest neighbor regression.}
}
\author{
Azadkia, M. \email{mazadkia@stanford.edu}
}
