% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/knn.R
\name{predict.knnopt}
\alias{predict.knnopt}
\title{kNN regression with best k}
\usage{
\method{predict}{knnopt}(x, y, xnew = NULL, k_max = NULL)
}
\arguments{
\item{x:}{a matrix or dataframe (training set).}

\item{y:}{a vector (training set).}

\item{xnew:}{a matrix or dataframe (test set)}

\item{k_max:}{a positive constant less than the number of the sample size. Warning: a user
defined value for k_max may end up in a non-optimal result.}
}
\value{
an object of class knnopt.
}
\description{
\code{predict.knnopt} returns an object of class knnopt with three attribute \\
1) kopt : the optimal k chosen by LOOCV
2) predict : a vector of the same length as number of rows of xnew
of the predicted y's using knn with x's
3) MSE : the estimate mean squared error
}
\examples{
n <- 100
x <- rnorm(n)
y <- x + x^2 + rnorm(n)
xnew <- rnorm(10)
a <- predict.knnopt(x, y, xnew)
a$kopt
a$MSE
a$predict
}
\references{
\href{https://www.bbc.com}{Azadkia, M. Optimal choice of k for k-nearest neighbor regression.}
}
\author{
Azadkia, M. \email{mazadkia@stanford.edu}
}
