% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/knn.R
\name{randomNN}
\alias{randomNN}
\title{Find the random nearest neighbors for a group of repeated points.}
\usage{
randomNN(ids)
}
\arguments{
\item{ids:}{a vector of ids of groups that each index is a member of.}
}
\value{
a vector of indices.
}
\description{
Give the indices of the nearest neighbors of points that are not unique in the data set.
}
\details{
\code{randomNN} returns a vector of indices of the random nearest neighbors.
This function is used in \code{\link{knnopt}}
}
\examples{
x <- c(1, 2, 1, 3, 4, 1, 1, 1)
# indices with value 1 in vector x (repeated values)
ids <- which(x == 1)
randomNN(ids)
}
\author{
Azadkia, M. \email{mazadkia@stanford.edu}
}
